# Class Prequest

java.lang.Object
mpi.Request
mpi.Prequest

All Implemented Interfaces:
  `Freeable`

public final class Prequest extends Request
Persistent request object.

## Field Summary

### Fields inherited from class Request

`handle, recvBuf, sendBuf`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Prequest(long handle)`
Constructor used by `sendInit`, etc.

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`
Activate a persistent communication request.
`static void`
`startAll(Prequest[] requests)`
Activate a list of communication requests.

### Methods inherited from class Request

`addRecvBufRef, addSendBufRef, cancel, free, getHandles, getNull, getStatus, isNull, setHandles, test, testAll, testAllStatus, testAny, testAnyStatus, testSome, testSomeStatus, testStatus, waitAll, waitAllStatus, waitAny, waitAnyStatus, waitFor, waitSome, waitSomeStatus, waitStatus`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Prequest

protected Prequest(long handle)
Constructor used by `sendInit`, etc.

Parameters:
  `handle` - Handle for the Prequest object

## Method Details

### start

public void start() throws MPIException
Activate a persistent communication request.

Java binding of the MPI operation `MPI_START`. The communication is completed by using the request in one of the `wait` or `test` operations. On successful completion the request becomes inactive again. It can be reactivated by a further call to `Start`.

Throws:
  `MPIException` - Signals that an MPI error of some sort has occurred.

### startAll

public static void startAll(Prequest[] requests) throws MPIException
Activate a list of communication requests.

Java binding of the MPI operation `MPI_STARTALL`.

Parameters:
  `requests` - array of requests
Throws:
  `MPIException` - Signals that an MPI error of some sort has occurred.